Package ru.bitel.bgbilling.kernel.contract.limit.common.bean

# Class ContractLimitMovement

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.contract.limit.common.bean.ContractLimitMovement

All Implemented Interfaces:
  `Serializable`, `Idable`

public class ContractLimitMovement extends Id
Изменение лимита договора.

See Also:
  - `LimitManager`
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ContractLimitMovement.Builder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractLimitMovement()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ContractLimitMovement.Builder`
  `builder()`
  `BigDecimal`
  `getAmount()`
  Значение - на сколько был изменен лимит.
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `int`
  `getStatus()`
  `void`
  `setAmount(BigDecimal amount)`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDateTo(Date dateTo)`
  `void`
  `setStatus(int status)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractLimitMovement

    public ContractLimitMovement()

- ## Method Details

  - ### getAmount

    public BigDecimal getAmount()
    Значение - на сколько был изменен лимит.
    Returns:

  - ### setAmount

    public void setAmount(BigDecimal amount)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date dateTo)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus(int status)

  - ### builder

    public static ContractLimitMovement.Builder builder()